
/*
 * pixelsix9.c
 */

#include "font.h"

static const font_family_t info = {.line_height = 12, .base = 9, .name = "pixelsix9"};

const font_family_t *pixelsix9_info(int id)
{
  return &info;
}

static const uint8_t font32[] = {
    0x00, 0x00, 0x00};

static const uint8_t font33[] = {
    0xff,
    0x00,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff};

static const uint8_t font34[] = {
    0xff, 0x00, 0xff,
    0xff, 0x00, 0xff};

static const uint8_t font35[] = {
    0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font36[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font37[] = {
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0xff, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0xff, 0x00, 0xff, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font38[] = {
    0x00, 0xff, 0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font39[] = {
    0xff,
    0xff};

static const uint8_t font40[] = {
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff};

static const uint8_t font41[] = {
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00};

static const uint8_t font42[] = {
    0xff, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0xff};

static const uint8_t font43[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font44[] = {
    0xff,
    0xff};

//static const uint8_t font45[] = {
//  0xff,0xff};
static const uint8_t font45[] = {
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font46[] = {
    0xff};

static const uint8_t font47[] = {
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff};

static const uint8_t font48[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font49[] = {
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0xff, 0xff,
    0x00, 0xff};

static const uint8_t font50[] = {
    0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font51[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font52[] = {
    0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font53[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font54[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font55[] = {
    0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font56[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font57[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font58[] = {
    0xff,
    0x00,
    0x00,
    0x00,
    0xff};

static const uint8_t font59[] = {
    0xff,
    0xff,
    0x00,
    0x00,
    0x00,
    0xff};

static const uint8_t font60[] = {
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff};

static const uint8_t font61[] = {
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font62[] = {
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00};

static const uint8_t font63[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font64[] = {
    0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00};

static const uint8_t font65[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00};

static const uint8_t font66[] = {
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00};

static const uint8_t font67[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font68[] = {
    0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font69[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font70[] = {
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font71[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font72[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font73[] = {
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff};

static const uint8_t font74[] = {
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff};

static const uint8_t font75[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00, 0x00,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font76[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00};

static const uint8_t font77[] = {
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0x00, 0xff, 0xff,
    0xff, 0xff, 0x00, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font78[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font79[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font80[] = {
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font81[] = {
    0x00, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font82[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font83[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font84[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font85[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font86[] = {
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font87[] = {
    0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font88[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font89[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font90[] = {
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font91[] = {
    0xff, 0xff,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0xff};

static const uint8_t font92[] = {
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00};

static const uint8_t font93[] = {
    0xff, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0xff, 0xff};

static const uint8_t font94[] = {
    0xff, 0x00, 0xff,
    0xff, 0x00, 0xff,
    0x00, 0xff, 0x00};

static const uint8_t font95[] = {
    0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font96[] = {
    0x00, 0xff,
    0xff, 0x00};

static const uint8_t font97[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font98[] = {
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00};

static const uint8_t font99[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font100[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff};

static const uint8_t font101[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font102[] = {
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0xff,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff};

static const uint8_t font103[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font104[] = {
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00};

static const uint8_t font105[] = {
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0x00,
    0xff};

static const uint8_t font106[] = {
    0xff, 0x00,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0x00,
    0x00, 0xff};

static const uint8_t font107[] = {
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00};

static const uint8_t font108[] = {
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff};

static const uint8_t font109[] = {
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font110[] = {
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00};

static const uint8_t font111[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font112[] = {
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00};

static const uint8_t font113[] = {
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font114[] = {
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0xff, 0xff};

static const uint8_t font115[] = {
    0xff, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font116[] = {
    0x00, 0xff, 0xff,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0xff,
    0x00, 0xff, 0x00};

static const uint8_t font117[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff};

static const uint8_t font118[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font119[] = {
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff};

static const uint8_t font120[] = {
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff};

static const uint8_t font121[] = {
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font122[] = {
    0xff, 0xff, 0xff,
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff,
    0xff, 0xff, 0xff};

static const uint8_t font123[] = {
    0x00, 0xff, 0xff,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0xff};

static const uint8_t font124[] = {
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0xff};

static const uint8_t font125[] = {
    0xff, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0xff,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0x00};

static const uint8_t font126[] = {
    0xff, 0x00, 0xff, 0xff,
    0xff, 0xff, 0x00, 0xff};

static const uint8_t font160[] = {
    0x00, 0x00, 0x00};

static const uint8_t font161[] = {
    0xff,
    0xff,
    0xff,
    0xff,
    0xff,
    0x00,
    0xff};


/* cents ¢ */
static const uint8_t font162[] = {
    0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00,
    0xff, 0x00, 0xff, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font163[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0xff, 0x00};

static const uint8_t font164[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font165[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font166[] = {
    0xff,
    0xff,
    0xff,
    0x00,
    0x00,
    0xff,
    0xff,
    0xff};

static const uint8_t font167[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00};

static const uint8_t font168[] = {
    0xff, 0x00, 0xff};

static const uint8_t font169[] = {
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font170[] = {
    0xff, 0xff, 0xff,
    0x00, 0xff, 0xff,
    0xff, 0xff, 0xff};

static const uint8_t font171[] = {
    0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font172[] = {
    0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff};

static const uint8_t font173[] = {
    0xff, 0xff};

static const uint8_t font174[] = {
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font175[] = {
    0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font176[] = {
    0xff, 0xff, 0xff,
    0xff, 0x00, 0xff,
    0xff, 0xff, 0xff};

static const uint8_t font177[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font178[] = {
    0xff, 0xff, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0xff};

static const uint8_t font179[] = {
    0xff, 0xff, 0xff,
    0x00, 0xff, 0x00,
    0xff, 0xff, 0xff};

static const uint8_t font180[] = {
    0xff, 0x00,
    0x00, 0xff};

static const uint8_t font181[] = {
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff};

static const uint8_t font182[] = {
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font183[] = {
    0xff};

static const uint8_t font184[] = {
    0xff, 0xff,
    0x00, 0xff,
    0x00, 0xff};

static const uint8_t font185[] = {
    0x00, 0xff,
    0xff, 0xff,
    0x00, 0xff};

static const uint8_t font186[] = {
    0xff, 0xff, 0xff,
    0xff, 0x00, 0xff,
    0xff, 0xff, 0xff};

static const uint8_t font187[] = {
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00};

static const uint8_t font188[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font189[] = {
    0xff, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font190[] = {
    0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0xff, 0xff, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font191[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font192[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00};

static const uint8_t font193[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font194[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00};

static const uint8_t font195[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font196[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font197[] = {
    0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0xff, 0xff, 0x00, 0x00};

static const uint8_t font198[] = {
    0xff, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font199[] = {
    0x00, 0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font200[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font201[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font202[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font203[] = {
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const uint8_t font204[] = {
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0x00, 0xff,
    0xff, 0x00};

static const uint8_t font205[] = {
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0xff, 0x00,
    0x00, 0xff};

static const uint8_t font206[] = {
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0x00, 0x00, 0xff,
    0xff, 0x00, 0xff,
    0x00, 0xff, 0x00};

static const uint8_t font207[] = {
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0xff, 0x00, 0xff};

static const uint8_t font208[] = {
    0x00, 0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0xff, 0x00};

static const uint8_t font209[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const uint8_t font210[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font211[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font212[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font213[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const uint8_t font214[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const uint8_t font215[] = {
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff};

static const uint8_t font216[] = {
    0xff, 0xff, 0xff, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0xff, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff};

static const uint8_t font217[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00, 0x00};

static const uint8_t font218[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font219[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font220[] = {
    0x00, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const uint8_t font221[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font222[] = {
    0xff, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0x00};

static const uint8_t font223[] = {
    0xff, 0x00, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0xff,
    0xff, 0xff, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font224[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font225[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font226[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font227[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font228[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font229[] = {
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font230[] = {
    0xff, 0xff, 0xff, 0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00, 0xff, 0xff, 0x00};

static const uint8_t font231[] = {
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font232[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font233[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font234[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font235[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00};

static const uint8_t font236[] = {
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0xff, 0x00,
    0x00, 0x00,
    0x00, 0xff,
    0xff, 0x00};

static const uint8_t font237[] = {
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0xff,
    0x00, 0x00,
    0xff, 0x00,
    0x00, 0xff};

static const uint8_t font238[] = {
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0xff, 0x00, 0x00,
    0x00, 0x00, 0x00,
    0xff, 0x00, 0xff,
    0x00, 0xff, 0x00};

static const uint8_t font239[] = {
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0xff, 0x00,
    0x00, 0x00, 0x00,
    0xff, 0x00, 0xff};

static const uint8_t font240[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0xff,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0xff, 0x00};

static const uint8_t font241[] = {
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font242[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font243[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font244[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font245[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font246[] = {
    0x00, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0xff, 0xff, 0x00,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00};

static const uint8_t font247[] = {
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0xff, 0xff,
    0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00};

static const uint8_t font248[] = {
    0xff, 0xff, 0xff, 0x00,
    0xff, 0xff, 0x00, 0xff,
    0xff, 0xff, 0x00, 0xff,
    0xff, 0x00, 0xff, 0xff,
    0x00, 0xff, 0xff, 0xff};

static const uint8_t font249[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font250[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00};

static const uint8_t font251[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0x00};

static const uint8_t font252[] = {
    0x00, 0xff, 0xff, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff};

static const uint8_t font253[] = {
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xff, 0x00};

static const uint8_t font254[] = {
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0x00, 0x00, 0xff,
    0xff, 0xff, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00,
    0xff, 0x00, 0x00, 0x00};

static const uint8_t font255[] = {
    0x00, 0xff, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0x00, 0xff, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00,
    0xff, 0x00, 0x00, 0x00, 0xff,
    0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0xff, 0x00, 0xff, 0x00};

static const font_t metadata[191] = {
    {.width = 3, .height = 1, .xadvance = 3, .xoffset = -1, .yoffset = -3, .bitmap = font32},
    {.width = 1, .height = 7, .xadvance = 3, .xoffset = 1, .yoffset = 0, .bitmap = font33},
    {.width = 3, .height = 2, .xadvance = 3, .xoffset = 0, .yoffset = 5, .bitmap = font34},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font35},
    {.width = 5, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = -1, .bitmap = font36},
    {.width = 6, .height = 7, .xadvance = 8, .xoffset = 1, .yoffset = 0, .bitmap = font37},
    {.width = 6, .height = 7, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font38},
    {.width = 1, .height = 2, .xadvance = 2, .xoffset = 0, .yoffset = 5, .bitmap = font39},
    //{.width=3,.height=9,.xadvance=3,.xoffset=0,.yoffset=-2,.bitmap=font40},
    {.width = 3, .height = 9, .xadvance = 4, .xoffset = 0, .yoffset = -1, .bitmap = font40}, // (
    //{.width=3,.height=9,.xadvance=3,.xoffset=0,.yoffset=-2,.bitmap=font41},
    {.width = 3, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -1, .bitmap = font41}, // )
    {.width = 3, .height = 3, .xadvance = 4, .xoffset = 0, .yoffset = 4, .bitmap = font42},
    {.width = 5, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font43},
    {.width = 1, .height = 2, .xadvance = 3, .xoffset = 1, .yoffset = -1, .bitmap = font44},
    //{.width=2,.height=1,.xadvance=3,.xoffset=0,.yoffset=2,.bitmap=font45},
    {.width = 4, .height = 1, .xadvance = 5, .xoffset = 0, .yoffset = 2, .bitmap = font45}, // hyphen
    {.width = 1, .height = 1, .xadvance = 3, .xoffset = 1, .yoffset = 0, .bitmap = font46},
    {.width = 3, .height = 7, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font47},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font48},
    {.width = 2, .height = 7, .xadvance = 5, .xoffset = 1, .yoffset = 0, .bitmap = font49},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font50},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font51},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font52},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font53},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font54},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font55},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font56},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font57},
    {.width = 1, .height = 5, .xadvance = 3, .xoffset = 1, .yoffset = 0, .bitmap = font58},
    {.width = 1, .height = 6, .xadvance = 3, .xoffset = 1, .yoffset = -1, .bitmap = font59},
    {.width = 3, .height = 5, .xadvance = 5, .xoffset = 1, .yoffset = 1, .bitmap = font60},
    {.width = 4, .height = 3, .xadvance = 5, .xoffset = 0, .yoffset = 2, .bitmap = font61},
    {.width = 3, .height = 5, .xadvance = 5, .xoffset = 1, .yoffset = 1, .bitmap = font62},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font63},
    {.width = 8, .height = 9, .xadvance = 9, .xoffset = 1, .yoffset = -2, .bitmap = font64},
    //{.width=7,.height=7,.xadvance=6,.xoffset=0,.yoffset=0,.bitmap=font65},
    {.width = 7, .height = 7, .xadvance = 8, .xoffset = 0, .yoffset = 0, .bitmap = font65},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font66},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font67},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font68},
    {.width = 5, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font69},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font70},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font71},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font72},
    {.width = 1, .height = 7, .xadvance = 3, .xoffset = 1, .yoffset = 0, .bitmap = font73},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font74},
    {.width = 5, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font75},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 1, .yoffset = 0, .bitmap = font76},
    //{.width=7,.height=7,.xadvance=7,.xoffset=0,.yoffset=0,.bitmap=font77},
    {.width = 7, .height = 7, .xadvance = 8, .xoffset = 0, .yoffset = 0, .bitmap = font77},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font78},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font79},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font80},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font81},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font82},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font83},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font84},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font85},
    {.width = 7, .height = 7, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font86},
    {.width = 9, .height = 7, .xadvance = 9, .xoffset = 0, .yoffset = 0, .bitmap = font87},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font88},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font89},
    {.width = 6, .height = 7, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font90},
    //{.width = 2, .height = 9, .xadvance = 3, .xoffset = 1, .yoffset = -2, .bitmap = font91},
    {.width = 2, .height = 9, .xadvance = 3, .xoffset = 1, .yoffset = -1, .bitmap = font91},
    {.width = 3, .height = 7, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font92},
    //{.width = 2, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -2, .bitmap = font93},
    {.width = 2, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -1, .bitmap = font93},
    {.width = 3, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = 4, .bitmap = font94},
    {.width = 5, .height = 1, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font95},
    {.width = 2, .height = 2, .xadvance = 3, .xoffset = 0, .yoffset = 5, .bitmap = font96},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font97},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font98},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font99},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font100},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font101},
    {.width = 3, .height = 7, .xadvance = 4, .xoffset = 0, .yoffset = 0, .bitmap = font102},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font103},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font104},
    {.width = 1, .height = 7, .xadvance = 2, .xoffset = 0, .yoffset = 0, .bitmap = font105},
    {.width = 2, .height = 9, .xadvance = 2, .xoffset = -1, .yoffset = -2, .bitmap = font106},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font107},
    {.width = 1, .height = 7, .xadvance = 2, .xoffset = 0, .yoffset = 0, .bitmap = font108},
    {.width = 7, .height = 5, .xadvance = 8, .xoffset = 0, .yoffset = 0, .bitmap = font109},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font110},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font111},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font112},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font113},
    //{.width=3,.height=5,.xadvance=3,.xoffset=0,.yoffset=0,.bitmap=font114},
    {.width = 3, .height = 5, .xadvance = 4, .xoffset = 0, .yoffset = 0, .bitmap = font114},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font115},
    //{.width=3,.height=6,.xadvance=3,.xoffset=-1,.yoffset=0,.bitmap=font116},
    {.width = 3, .height = 6, .xadvance = 4, .xoffset = 0, .yoffset = 0, .bitmap = font116},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font117},
    {.width = 5, .height = 5, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font118},
    {.width = 5, .height = 5, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font119},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font120},
    {.width = 5, .height = 7, .xadvance = 6, .xoffset = 0, .yoffset = -2, .bitmap = font121},
    {.width = 3, .height = 5, .xadvance = 4, .xoffset = 0, .yoffset = 0, .bitmap = font122},
    //{.width = 3, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -2, .bitmap = font123},
    {.width = 3, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -1, .bitmap = font123},
    {.width = 1, .height = 8, .xadvance = 3, .xoffset = 1, .yoffset = -1, .bitmap = font124},
    //{.width = 3, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -2, .bitmap = font125},
    {.width = 3, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = -1, .bitmap = font125},
    {.width = 4, .height = 2, .xadvance = 5, .xoffset = 0, .yoffset = 2, .bitmap = font126},
    {.width = 3, .height = 1, .xadvance = 3, .xoffset = -1, .yoffset = -3, .bitmap = font160},
    {.width = 1, .height = 7, .xadvance = 3, .xoffset = 1, .yoffset = -2, .bitmap = font161},
    {.width = 4, .height = 9, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font162},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font163},
    {.width = 4, .height = 4, .xadvance = 5, .xoffset = 1, .yoffset = 1, .bitmap = font164},
    {.width = 5, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font165},
    {.width = 1, .height = 8, .xadvance = 3, .xoffset = 1, .yoffset = -1, .bitmap = font166},
    {.width = 4, .height = 9, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font167},
    {.width = 3, .height = 1, .xadvance = 3, .xoffset = 0, .yoffset = 6, .bitmap = font168},
    {.width = 7, .height = 7, .xadvance = 7, .xoffset = 0, .yoffset = 0, .bitmap = font169},
    {.width = 3, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = 4, .bitmap = font170},
    {.width = 4, .height = 4, .xadvance = 5, .xoffset = 1, .yoffset = 0, .bitmap = font171},
    {.width = 4, .height = 3, .xadvance = 5, .xoffset = 0, .yoffset = 2, .bitmap = font172},
    {.width = 2, .height = 1, .xadvance = 3, .xoffset = 0, .yoffset = 2, .bitmap = font173},
    {.width = 7, .height = 7, .xadvance = 7, .xoffset = 0, .yoffset = 0, .bitmap = font174},
    {.width = 5, .height = 1, .xadvance = 5, .xoffset = 0, .yoffset = 7, .bitmap = font175},
    {.width = 3, .height = 3, .xadvance = 4, .xoffset = 1, .yoffset = 4, .bitmap = font176},
    {.width = 5, .height = 6, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font177},
    {.width = 3, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = 4, .bitmap = font178},
    {.width = 3, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = 4, .bitmap = font179},
    {.width = 2, .height = 2, .xadvance = 3, .xoffset = 1, .yoffset = 5, .bitmap = font180},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font181},
    {.width = 5, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = -1, .bitmap = font182},
    {.width = 1, .height = 1, .xadvance = 3, .xoffset = 1, .yoffset = 3, .bitmap = font183},
    {.width = 2, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = -3, .bitmap = font184},
    {.width = 2, .height = 3, .xadvance = 3, .xoffset = 1, .yoffset = 4, .bitmap = font185},
    {.width = 3, .height = 3, .xadvance = 3, .xoffset = 0, .yoffset = 4, .bitmap = font186},
    {.width = 4, .height = 4, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font187},
    {.width = 6, .height = 7, .xadvance = 8, .xoffset = 1, .yoffset = 0, .bitmap = font188},
    {.width = 7, .height = 7, .xadvance = 8, .xoffset = 1, .yoffset = 0, .bitmap = font189},
    {.width = 7, .height = 7, .xadvance = 8, .xoffset = 0, .yoffset = 0, .bitmap = font190},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = -2, .bitmap = font191},
    {.width = 7, .height = 9, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font192},
    {.width = 7, .height = 9, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font193},
    {.width = 7, .height = 9, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font194},
    {.width = 7, .height = 9, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font195},
    {.width = 7, .height = 8, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font196},
    {.width = 7, .height = 9, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font197},
    {.width = 9, .height = 7, .xadvance = 9, .xoffset = 0, .yoffset = 0, .bitmap = font198},
    {.width = 5, .height = 10, .xadvance = 6, .xoffset = 1, .yoffset = -3, .bitmap = font199},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font200},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font201},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font202},
    {.width = 5, .height = 8, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font203},
    {.width = 2, .height = 9, .xadvance = 3, .xoffset = 1, .yoffset = 0, .bitmap = font204},
    {.width = 2, .height = 9, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font205},
    {.width = 3, .height = 9, .xadvance = 3, .xoffset = -1, .yoffset = 0, .bitmap = font206},
    {.width = 3, .height = 8, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font207},
    {.width = 6, .height = 7, .xadvance = 6, .xoffset = 0, .yoffset = 0, .bitmap = font208},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font209},
    {.width = 5, .height = 9, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font210},
    {.width = 5, .height = 9, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font211},
    {.width = 5, .height = 9, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font212},
    {.width = 5, .height = 9, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font213},
    {.width = 5, .height = 8, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font214},
    {.width = 5, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 1, .bitmap = font215},
    {.width = 5, .height = 7, .xadvance = 7, .xoffset = 1, .yoffset = 0, .bitmap = font216},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font217},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font218},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font219},
    {.width = 5, .height = 8, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font220},
    {.width = 5, .height = 9, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font221},
    {.width = 5, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font222},
    {.width = 4, .height = 7, .xadvance = 6, .xoffset = 1, .yoffset = 0, .bitmap = font223},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font224},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font225},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font226},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font227},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font228},
    {.width = 4, .height = 9, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font229},
    {.width = 7, .height = 5, .xadvance = 8, .xoffset = 0, .yoffset = 0, .bitmap = font230},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = -3, .bitmap = font231},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font232},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font233},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font234},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font235},
    {.width = 2, .height = 8, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font236},
    {.width = 2, .height = 8, .xadvance = 3, .xoffset = -1, .yoffset = 0, .bitmap = font237},
    {.width = 3, .height = 8, .xadvance = 3, .xoffset = 0, .yoffset = 0, .bitmap = font238},
    {.width = 3, .height = 7, .xadvance = 3, .xoffset = -1, .yoffset = 0, .bitmap = font239},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font240},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font241},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font242},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font243},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font244},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font245},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font246},
    {.width = 5, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font247},
    {.width = 4, .height = 5, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font248},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font249},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font250},
    {.width = 4, .height = 8, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font251},
    {.width = 4, .height = 7, .xadvance = 5, .xoffset = 0, .yoffset = 0, .bitmap = font252},
    {.width = 5, .height = 10, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font253},
    {.width = 4, .height = 9, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font254},
    {.width = 5, .height = 9, .xadvance = 5, .xoffset = 0, .yoffset = -2, .bitmap = font255},
};

const font_t *pixelsix9_lookup(int id)
{
  switch (id)
  {
  case 32:
    return &metadata[0];
  case 33:
    return &metadata[1];
  case 34:
    return &metadata[2];
  case 35:
    return &metadata[3];
  case 36:
    return &metadata[4];
  case 37:
    return &metadata[5];
  case 38:
    return &metadata[6];
  case 39:
    return &metadata[7];
  case 40:
    return &metadata[8];
  case 41:
    return &metadata[9];
  case 42:
    return &metadata[10];
  case 43:
    return &metadata[11];
  case 44:
    return &metadata[12];
  case 45:
    return &metadata[13];
  case 46:
    return &metadata[14];
  case 47:
    return &metadata[15];
  case 48:
    return &metadata[16];
  case 49:
    return &metadata[17];
  case 50:
    return &metadata[18];
  case 51:
    return &metadata[19];
  case 52:
    return &metadata[20];
  case 53:
    return &metadata[21];
  case 54:
    return &metadata[22];
  case 55:
    return &metadata[23];
  case 56:
    return &metadata[24];
  case 57:
    return &metadata[25];
  case 58:
    return &metadata[26];
  case 59:
    return &metadata[27];
  case 60:
    return &metadata[28];
  case 61:
    return &metadata[29];
  case 62:
    return &metadata[30];
  case 63:
    return &metadata[31];
  case 64:
    return &metadata[32];
  case 65:
    return &metadata[33];
  case 66:
    return &metadata[34];
  case 67:
    return &metadata[35];
  case 68:
    return &metadata[36];
  case 69:
    return &metadata[37];
  case 70:
    return &metadata[38];
  case 71:
    return &metadata[39];
  case 72:
    return &metadata[40];
  case 73:
    return &metadata[41];
  case 74:
    return &metadata[42];
  case 75:
    return &metadata[43];
  case 76:
    return &metadata[44];
  case 77:
    return &metadata[45];
  case 78:
    return &metadata[46];
  case 79:
    return &metadata[47];
  case 80:
    return &metadata[48];
  case 81:
    return &metadata[49];
  case 82:
    return &metadata[50];
  case 83:
    return &metadata[51];
  case 84:
    return &metadata[52];
  case 85:
    return &metadata[53];
  case 86:
    return &metadata[54];
  case 87:
    return &metadata[55];
  case 88:
    return &metadata[56];
  case 89:
    return &metadata[57];
  case 90:
    return &metadata[58];
  case 91:
    return &metadata[59];
  case 92:
    return &metadata[60];
  case 93:
    return &metadata[61];
  case 94:
    return &metadata[62];
  case 95:
    return &metadata[63];
  case 96:
    return &metadata[64];
  case 97:
    return &metadata[65];
  case 98:
    return &metadata[66];
  case 99:
    return &metadata[67];
  case 100:
    return &metadata[68];
  case 101:
    return &metadata[69];
  case 102:
    return &metadata[70];
  case 103:
    return &metadata[71];
  case 104:
    return &metadata[72];
  case 105:
    return &metadata[73];
  case 106:
    return &metadata[74];
  case 107:
    return &metadata[75];
  case 108:
    return &metadata[76];
  case 109:
    return &metadata[77];
  case 110:
    return &metadata[78];
  case 111:
    return &metadata[79];
  case 112:
    return &metadata[80];
  case 113:
    return &metadata[81];
  case 114:
    return &metadata[82];
  case 115:
    return &metadata[83];
  case 116:
    return &metadata[84];
  case 117:
    return &metadata[85];
  case 118:
    return &metadata[86];
  case 119:
    return &metadata[87];
  case 120:
    return &metadata[88];
  case 121:
    return &metadata[89];
  case 122:
    return &metadata[90];
  case 123:
    return &metadata[91];
  case 124:
    return &metadata[92];
  case 125:
    return &metadata[93];
  case 126:
    return &metadata[94];
  case 160:
    return &metadata[95];
  case 161:
    return &metadata[96];
  case 162:
    return &metadata[97];
  case 163:
    return &metadata[98];
  case 164:
    return &metadata[99];
  case 165:
    return &metadata[100];
  case 166:
    return &metadata[101];
  case 167:
    return &metadata[102];
  case 168:
    return &metadata[103];
  case 169:
    return &metadata[104];
  case 170:
    return &metadata[105];
  case 171:
    return &metadata[106];
  case 172:
    return &metadata[107];
  case 173:
    return &metadata[108];
  case 174:
    return &metadata[109];
  case 175:
    return &metadata[110];
  case 176:
    return &metadata[111];
  case 177:
    return &metadata[112];
  case 178:
    return &metadata[113];
  case 179:
    return &metadata[114];
  case 180:
    return &metadata[115];
  case 181:
    return &metadata[116];
  case 182:
    return &metadata[117];
  case 183:
    return &metadata[118];
  case 184:
    return &metadata[119];
  case 185:
    return &metadata[120];
  case 186:
    return &metadata[121];
  case 187:
    return &metadata[122];
  case 188:
    return &metadata[123];
  case 189:
    return &metadata[124];
  case 190:
    return &metadata[125];
  case 191:
    return &metadata[126];
  case 192:
    return &metadata[127];
  case 193:
    return &metadata[128];
  case 194:
    return &metadata[129];
  case 195:
    return &metadata[130];
  case 196:
    return &metadata[131];
  case 197:
    return &metadata[132];
  case 198:
    return &metadata[133];
  case 199:
    return &metadata[134];
  case 200:
    return &metadata[135];
  case 201:
    return &metadata[136];
  case 202:
    return &metadata[137];
  case 203:
    return &metadata[138];
  case 204:
    return &metadata[139];
  case 205:
    return &metadata[140];
  case 206:
    return &metadata[141];
  case 207:
    return &metadata[142];
  case 208:
    return &metadata[143];
  case 209:
    return &metadata[144];
  case 210:
    return &metadata[145];
  case 211:
    return &metadata[146];
  case 212:
    return &metadata[147];
  case 213:
    return &metadata[148];
  case 214:
    return &metadata[149];
  case 215:
    return &metadata[150];
  case 216:
    return &metadata[151];
  case 217:
    return &metadata[152];
  case 218:
    return &metadata[153];
  case 219:
    return &metadata[154];
  case 220:
    return &metadata[155];
  case 221:
    return &metadata[156];
  case 222:
    return &metadata[157];
  case 223:
    return &metadata[158];
  case 224:
    return &metadata[159];
  case 225:
    return &metadata[160];
  case 226:
    return &metadata[161];
  case 227:
    return &metadata[162];
  case 228:
    return &metadata[163];
  case 229:
    return &metadata[164];
  case 230:
    return &metadata[165];
  case 231:
    return &metadata[166];
  case 232:
    return &metadata[167];
  case 233:
    return &metadata[168];
  case 234:
    return &metadata[169];
  case 235:
    return &metadata[170];
  case 236:
    return &metadata[171];
  case 237:
    return &metadata[172];
  case 238:
    return &metadata[173];
  case 239:
    return &metadata[174];
  case 240:
    return &metadata[175];
  case 241:
    return &metadata[176];
  case 242:
    return &metadata[177];
  case 243:
    return &metadata[178];
  case 244:
    return &metadata[179];
  case 245:
    return &metadata[180];
  case 246:
    return &metadata[181];
  case 247:
    return &metadata[182];
  case 248:
    return &metadata[183];
  case 249:
    return &metadata[184];
  case 250:
    return &metadata[185];
  case 251:
    return &metadata[186];
  case 252:
    return &metadata[187];
  case 253:
    return &metadata[188];
  case 254:
    return &metadata[189];
  case 255:
    return &metadata[190];
  }
  // unknown character code returns '?'
  return &metadata[31];
}
